/* 
	Editor: http://www.visualmicro.com
	        visual micro and the arduino ide ignore this code during compilation. this code is automatically maintained by visualmicro, manual changes to this file will be overwritten
	        the contents of the Visual Micro sketch sub folder can be deleted prior to publishing a project
	        all non-arduino files created by visual micro and all visual studio project or solution files can be freely deleted and are not required to compile a sketch (do not delete your own code!).
	        note: debugger breakpoints are stored in '.sln' or '.asln' files, knowledge of last uploaded breakpoints is stored in the upload.vmps.xml file. Both files are required to continue a previous debug session without needing to compile and upload again
	
	Hardware: Arduino Due (Programming Port), Platform=sam, Package=arduino
*/

#define __SAM3X8E__
#define USB_VID 0x2341
#define USB_PID 0x003e
#define USBCON
#define USB_MANUFACTURER "\"Unknown\""
#define USB_PRODUCT "\"Arduino Due\""
#define ARDUINO 101
#define ARDUINO_MAIN
#define F_CPU 84000000L
#define printf iprintf
#define __SAM__
#define __cplusplus
extern "C" void __cxa_pure_virtual() {;}

void LCD_BusPinsAsOutput();
void LCD_BusPinsAsInput();
static inline void  LCD_BusData8(uint8_t byteToWrite);
uint8_t LCD_BusWrite(byte byteToWrite);
uint8_t LCD_BusRead();
void LCD_WriteData_unsafe(uint16_t data);
void LCD_WriteData(uint16_t data);
uint8_t LCD_WriteCommand(uint16_t  cmd_index);
uint16_t LCD_ReadData();
uint16_t LCD_ReadRegister(uint16_t addr);
uint16_t LCD_WriteRegister(uint16_t addr, uint16_t data);
void LCD_Init();
void LCD_SetXY(uint16_t poX, uint16_t poY);
void LCD_SetPixel(uint16_t poX, uint16_t poY,uint16_t color);
void LCD_DrawCircle(int16_t poX, int16_t poY, int16_t r,uint16_t color);
void LCD_DrawLine(uint16_t x0,uint16_t y0,uint16_t x1,uint16_t y1,uint16_t color);
void LCD_DrawVerticalLine(unsigned int poX, unsigned int poY,unsigned int length,unsigned int color);
void LCD_DrawHorizontalLine(unsigned int poX, unsigned int poY,unsigned int length,unsigned int color);
void LCD_DrawRectangle(unsigned int poX, unsigned int poY, unsigned int length,unsigned int width,unsigned int color);
void LCD_DrawRoundRectangle(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2, uint16_t color);
void LCD_PaintScreen(uint16_t color);
void LCD_FillCircle(int poX, int poY, int r,unsigned int color);
void LCD_FillRectangle(unsigned int poX, unsigned int poY, unsigned int length, unsigned int width, unsigned int color);
void LCD_DrawChar(unsigned int poX, unsigned int poY, unsigned char ascii, unsigned int size, unsigned int fgcolor);
void LCD_DrawString(unsigned int poX, unsigned int poY, char *string, unsigned int size, unsigned int fgcolor);
void LCD_DrawBmp(unsigned short ulXs, unsigned short ulYs, unsigned short length, unsigned short height, unsigned short *buf);
void LCD_exitStandBy(void);
void LCD_SetOrientation(uint16_t HV);
void LCD_SetDisplayDirect(uint8_t Direction);
//
//

#include "C:\Users\karsten\Downloads\20140730NigtlyBuild\hardware\arduino\sam\variants\arduino_due_x\pins_arduino.h" 
#include "C:\Users\karsten\Downloads\20140730NigtlyBuild\hardware\arduino\sam\variants\arduino_due_x\variant.h" 
#include "C:\Users\karsten\Downloads\20140730NigtlyBuild\hardware\arduino\sam\cores\arduino\arduino.h"
#include "C:\Users\karsten\Documents\Atmel Studio\6.1\Sketch1\Sketch1\Sketch1.ino"
